Loading...
Searching...
No Matches
AlignLoads.h File Reference

Defines a lowering pass that rewrites unaligned loads into sequences of aligned loads. More...

`#include "Expr.h"`

Go to the source code of this file.

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Functions

Stmt | Halide::Internal::align_loads (const Stmt &s, int alignment, int min_bytes_to_align)
| Attempt to rewrite unaligned loads from buffers which are known to be aligned to instead load aligned vectors that cover the original load, and then slice the original load out of the aligned vectors.

## Detailed Description

Defines a lowering pass that rewrites unaligned loads into sequences of aligned loads.

Definition in file AlignLoads.h.